from llama_index.core import VectorStoreIndex, SimpleDirectoryReader
documents = SimpleDirectoryReader("dane").load_data()
index = VectorStoreIndex.from_documents(documents)

index.storage_context.persist(persist_dir="indeks_cache")
print("Indeks został zapisany na dysku.")